# Copyright (C) 2019 OX Software GmbH
# 
# This file is part of OX Automation.
#
# OX Automation is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# OX Automation is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# 
# See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with OX Automation. If not, see <http://www.gnu.org/licenses/>.
#
#
# Authors:
# Benedikt Kroening <benedikt.kroening@open-xchange.com>
#
# This docker-container will contain everything required for an OX groupware node
# Database and mailserver need to be deployed seperately

ARG  DISTRIBUTION=debian
ARG  RELEASE=stretch
FROM ${DISTRIBUTION}:${RELEASE}

#ENV INSTALL_GUARD=false
#ENV INSTALL_DOCUMENTS=false

ADD . /ox-installer
RUN /ox-installer/ox-installer.sh --config /ox-installer/docker/cluster/config \
                                    --middleware

RUN mkdir /var/run/apache2 && \
    cp -R /ox-installer/docker/_rootfs/etc/supervisor/conf.d/apache2.conf /etc/supervisor/conf.d/apache2.conf

EXPOSE 8009
EXPOSE 8010

VOLUME [ "/var/opt/filestore" ]

ENTRYPOINT [ "/ox-installer/docker/entrypoint.sh" ]
CMD [ "supervisord" ]
